<ng-container *transloco="let t">
    <form [formGroup]="mimeTypeForm" id="mimeTypeForm" (ngSubmit)="onSubmit()">
        <h2 mat-dialog-title>{{ t('mimeType.title') }}</h2>
        <mat-dialog-content>
            <div class="row">
                <mat-form-field appearance="fill">
                    <mat-label>{{ t('mimeType.label') }}</mat-label>
                    <input matInput placeholder="{{ t('mimeType.placeholder') }}" formControlName="value" />
                </mat-form-field>
            </div>
            <div class="row">
                <mat-form-field appearance="fill">
                <mat-label>{{ t('mimeType.description') }}</mat-label>
                <textarea matInput rows="4" placeholder="{{ t('mimeType.descriptionPlaceholder') }}" formControlName="description" maxlength="255"></textarea>
                <mat-hint align="end">{{ description?.length || 0 }} / 255</mat-hint>
                </mat-form-field>
            </div>
        </mat-dialog-content>
        <mat-dialog-actions>
            <div class="row w-100 d-flex justify-content-end text-end">
                <div class="col-3">
                    <button mat-button mat-dialog-close>{{ t('mimeType.cancel') }}</button>
                </div>
                <div class="col-3">
                    <button mat-button color="accent" type="submit">{{ t('mimeType.add') }}</button>
                </div>
            </div>
        </mat-dialog-actions>
    </form>
</ng-container>
